Subject: Re: [BUG] git-svn dcommit fails (connection closed unexpectedly)

From: Eric Wong <[email-masked]>
Date: Sun, 13 May 2007 14:01:28 -0700

Karl Hasselström <[email-masked]> wrote:
> On 2007-05-13 19:49:34 +0200, Martin Eisenhardt wrote:
> 
> > Another case where I stumbled upon said error message was when I
> > added an empty (sub)directory to a project in subversion and then
> > used git to track that project. Since git cannot track an empty
> > directory, it did not appear in my git working copy. When I mkdir'd
> > the directory locally (in my git wc) and then tried to add files
> > within that repository, I got exactly the same error as Matthieu.

Interesting.  I don't think git-svn currently checks for that case.

> It might be a net win to let git-svn handle empty directories by
> creating an empty .git-svn-empty-dir file in them, instead of
> pretending they don't exist.

No.  This is *WAY* too ugly.

-- 
Eric Wong